<?php 

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400');
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
    header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');
}
if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
        header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
        header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
    exit(0);
}

$users = [
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/colin.webp',
      'name' => 'Colin Saunders',
      'position' => 'Gerente General',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/joanne.webp',
      'name' => 'Joanne Meléndez',
      'position' => 'Coordinadora de Ventas',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/jennifer.webp',
      'name' => 'Jennifer Espinosa',
      'position' => 'Asistente Administrativa',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/melquis.webp',
      'name' => 'Melquis Ortiz',
      'position' => 'Coordinador de Catálogo',
    ],
/*     [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/aaron.webp',
      'name' => 'Aaron Escalona',
      'position' => 'Ejecutivo Pre-Ventas',
    ], 
     [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/jamir.webp',
      'name' => 'Jamir Vélez',
      'position' => 'Coordinador Logístico',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/emmy.webp',
      'name' => 'Emmy Rodríguez',
      'position' => 'Ejecutiva de Atención al Cliente',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/maria.webp',
      'name' => 'María de Valenzuela',
      'position' => 'Coordinadora de Producto',
    ],
    [
      'img' => 'https://d1u9bbhcasux7c.cloudfront.net/uploads/team/jonathan.webp',
      'name' => 'Jonathan Pérez',
      'position' => 'Coordinador de Mercadeo',
    ], */
];

echo json_encode($users);