<?php

namespace BulkUpload\Interfaces;

interface TermInterface {

    /**
     * Returns a Category|Tag class that matches with the provided id.
     *
     * @param integer $term_id
     * @return mixed
     */
    static public function getTermFromId(int $term_id):mixed;
    
    /**
     * Returns a Category|Tag class that matches with the provided name and type.
     *
     * @param string $name
     * @return mixed
     */
    static public function getTermFromName(string $name):mixed;

}