<?php

namespace  InventoryManagement;

trait InventoryStatusManager {

    private function getUserFromIdentifier(string $identifier, \collection $db){

        $res = $db->search('ng_inventory_tracker', ['still_working ' => '1', 'identifier' => $identifier], 'AND', 'DEFAULT_WHERE', '1');

        if($res['cant_rows'] < 1){
            throw new \Exception("No hay un id de usuario con un identificador activo", 1);
        }

        return $res[0]['id_user'];

    }

    private function getCronDateFromIdentifier(string $identifier, \collection $db){

        $res = $db->search('ng_inventory_tracker', ['still_working ' => '1', 'identifier' => $identifier], 'AND', 'DEFAULT_WHERE', '1');

        if($res['cant_rows'] < 1){
            throw new \Exception("No hay un id de usuario con un identificador activo", 1);
        }

        return new \DateTime($res[0]['last_call']);

    }

    private function completeInventoryManagement(string $identifier, \collection $db){

        $db->update('ng_inventory_tracker', ['identifier'=>$identifier], ['still_working'=>'0']);

    }

}