<?php
require('../../../cfg.php');
$errors = [];
if (true) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                $db = new collection();
                $meta = new MetaValues();
                if(!isset($_GET['date'])){
                    throw new Exception("Error Processing Request field date is required", 1);                    
                }
                $date=$db->sanitizeData($_GET['date']);
                $data = [];
                
                $dt = $db->plainQuery("SELECT
                *
                FROM
                checkout_rate_log
                WHERE 
                date = '".$date."'
                ORDER BY
                checkout_rate_log.date DESC
                ");
                for ($i = 0; $i < $dt['cant_rows']; $i++) {
                    $package = unserialize($dt[$i]['package']);
                    $destination = unserialize($dt[$i]['destination']);
                    $date = $dt[$i]['date'];
                    $provider = $dt[$i]['provider'];
                    $response = unserialize($dt[$i]['response']);
                    $requetsData=[];
                    $requetsData['provider']=$provider;
                    $requetsData['date']=$date;
                    $requetsData['package']=$package;
                    $requetsData['destination']=$destination;
                    $requetsData['response']=$response;
                    array_push($data,$requetsData);
                    
                    unset($requetsData);
                }
                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
                if (!empty($errors)) {
                    $rest->setError($errors);
                }
            } catch (\Throwable $th) {

                $rest = new RestResponse(false, $th->getMessage());
                $rest->toJson()->setMessage('fail');
            }
            break;
        case 'POST':

        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
