<?php
function wp_check_password($password, $hash, $user_id = '')
{
    if (strlen($hash) <= 32) {
        $check = hash_equalss($hash, md5($password));
        return $check;
    }
    $wp_hasher = new PasswordHash(8, true);
    $check = $wp_hasher->CheckPassword($password, $hash);
    return  $check;
}

function get_password_hash($password)
{
    $pass['old'] = md5($password);
    $wp_hasher = new PasswordHash(8, true);
    $pass['new'] = $wp_hasher->HashPassword(trim($password));
    return  $pass;
}

function hash_equalss($a, $b)
{
    $a_length = strlen($a);
    if (strlen($b) !== $a_length) {
        return false;
    }
    $result = 0;

    // Do not attempt to "optimize" this.
    for ($i = 0; $i < $a_length; $i++) {
        $result |= ord($a[$i]) ^ ord($b[$i]);
    }

    return 0 === $result;
}

function wp_generate_uuid4() {
	return sprintf(
		'%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
		mt_rand( 0, 0xffff ),
		mt_rand( 0, 0xffff ),
		mt_rand( 0, 0xffff ),
		mt_rand( 0, 0x0fff ) | 0x4000,
		mt_rand( 0, 0x3fff ) | 0x8000,
		mt_rand( 0, 0xffff ),
		mt_rand( 0, 0xffff ),
		mt_rand( 0, 0xffff )
	);
}
function remove_diacritics($cadena){
    //$cadena = utf8_encode($cadena);
    //Reemplazamos la A y a
    $cadena = str_replace(
    array('Á', 'À', 'Â', 'Ä', 'á', 'à', 'ä', 'â', 'ª'),
    array('A', 'A', 'A', 'A', 'a', 'a', 'a', 'a', 'a'),
    $cadena
    );

    //Reemplazamos la E y e
    $cadena = str_replace(
    array('É', 'È', 'Ê', 'Ë', 'é', 'è', 'ë', 'ê'),
    array('E', 'E', 'E', 'E', 'e', 'e', 'e', 'e'),
    $cadena );

    //Reemplazamos la I y i
    $cadena = str_replace(
    array('Í', 'Ì', 'Ï', 'Î', 'í', 'ì', 'ï', 'î'),
    array('I', 'I', 'I', 'I', 'i', 'i', 'i', 'i'),
    $cadena );

    //Reemplazamos la O y o
    $cadena = str_replace(
    array('Ó', 'Ò', 'Ö', 'Ô', 'ó', 'ò', 'ö', 'ô'),
    array('O', 'O', 'O', 'O', 'o', 'o', 'o', 'o'),
    $cadena );

    //Reemplazamos la U y u
    $cadena = str_replace(
    array('Ú', 'Ù', 'Û', 'Ü', 'ú', 'ù', 'ü', 'û'),
    array('U', 'U', 'U', 'U', 'u', 'u', 'u', 'u'),
    $cadena );

    //Reemplazamos la N, n, C y c
    $cadena = str_replace(
    array('Ñ', 'ñ', 'Ç', 'ç'),
    array('N', 'n', 'C', 'c'),
    $cadena
    );
    //$cadena = utf8_decode($cadena);
    return $cadena;
}
