<?php

namespace BulkUpload\Validation\Rules;

use BulkUpload\Validation\Rule;

class NotEmpty extends Rule{

    public array $errors = [];

    public function validate(mixed $data, $errors){

        switch (gettype($data)) {
            case 'string':
                if(trim($data) == ''){
                    array_push($this->errors, 'El valor ingresado no puede ser vacío');
                }
                return parent::validate($data, array_merge($this->errors, $errors));
                break;

            case 'array':
                if(count($data) < 1){
                    array_push($this->errors, 'El valor ingresado no puede ser vacío');
                }
                return parent::validate($data, array_merge($this->errors, $errors));
                break;
        }

    }

}