<?php

use function JmesPath\search;

class Arancel {

    private $arancelList=[];
    private $id_list=[];
    private $db ;
    public function __construct() {
        $this->db = new collection();
    }

    public function get_arancels($term){
        $this->search_arancels($term);
        return array('arancels' =>$this->arancelList, 'count' => 1);
    }

    private function search_arancels($term){
        $data=[];
        $query = str_replace(
            'ovmdw_',
            'ovmdw_', "SELECT
        ovmdw_dmce_hs_codes_complete.dmce_hs_codes, 
        ovmdw_dmce_hs_codes_complete.hs_code_description
    FROM
        ovmdw_dmce_hs_codes_complete
    WHERE
        ovmdw_dmce_hs_codes_complete.`status` = 1 AND
        (ovmdw_dmce_hs_codes_complete.dmce_hs_codes LIKE '".$term."%' OR
        ovmdw_dmce_hs_codes_complete.hs_code_description LIKE '".$term."%')
    ORDER BY
        ovmdw_dmce_hs_codes_complete.dmce_hs_codes ASC
    LIMIT 0, 50");
        $dt_list = $this->db->plainQuery($query);
        if (isset($dt_list['cant_rows']) && $dt_list['cant_rows'] > 0) {
            for ($k = 0; $k < $dt_list['cant_rows']; $k++) {
                $data[$k]['label'] = $dt_list[$k]['dmce_hs_codes'] . ' ( ' . ($dt_list[$k]['hs_code_description']) . ' ) ';
                $data[$k]['id'] = $dt_list[$k]['dmce_hs_codes'];
                $data[$k]['value'] = $dt_list[$k]['dmce_hs_codes'];
                $data[$k]['string'] = ($dt_list[$k]['hs_code_description']);
            }
        }
        //die(print_r($dt_list));
        $this->arancelList = $data;
        return;
    }

}