<?php

use function JmesPath\search;

class Country
{
    private $countryList = [];
    private $db;
    public function __construct()
    {
        $this->db = new collection();
    }

    public function get_countries($term)
    {
        $this->search_countries($term);
        return array('country' => $this->countryList, 'count' => 1);
    }

    private function search_countries($term)
    {
        $data = [];
        $query = (
    "SELECT
            id_country, country_name, country_tag
        FROM
            bi_country_table
        WHERE
            (country_name LIKE '" . $term . "%' OR
            country_tag LIKE '" . $term . "%')
        ORDER BY
            country_name ASC
        LIMIT 0, 50");
        $dt_list = $this->db->plainQuery($query);
        if (isset($dt_list['cant_rows']) && $dt_list['cant_rows'] > 0) {
            for ($k = 0; $k < $dt_list['cant_rows']; $k++) {
                $data[$k]['id'] = $dt_list[$k]['id_country'];
                $data[$k]['label'] = $dt_list[$k]['country_name'];
                $data[$k]['value'] = ($dt_list[$k]['country_tag']);
            }
        }
        $this->countryList = $data;
        return;
    }
}
