<?php

class Faqs{
    private $faqs = [];
    private $db;

    public function __construct()
    {
        $this->db = new collection();
    }

    public function list()
    {
        $faqs = $this->db->get('faqs_table',null,1000);
        $this->rebuildData($faqs);
        return $this;
    }

    public function view(int $id)
    {
        $faqs = $this->db->get('faqs_table',$id,1000);
        $this->rebuildData($faqs);
        return $this;
    }

    public function getResults()
    {
        return $this->faqs;
    }

    private function rebuildData(Array $results):void
    {
        if(!is_array($results) || count($results)==0 || !isset($results['cant_rows']) || $results['cant_rows']==0){
           $this->faqs=[]; 
        }
        $this->faqs=[];
        for ($i = 0; $i < $results['cant_rows']; $i++) {
            array_push($this->faqs,str_replace("\r\n",'<br />',$results[$i]));
        }
    }
}