<?php
require('./cfg.php');
$requestMethod = $_SERVER["REQUEST_METHOD"];
$data = json_decode(file_get_contents("php://input"));
switch ($requestMethod) {
    case 'POST':
        switch($_GET['action']){
        case 'register':     
            try {
                $curl = new CurlRequest(API_USER, API_PASS);
                $curl->request($wp_api_root.'wp-json/wc/v3/customers', 'POST', json_encode($data));
                $user= new User($curl->toObject()['id']);
                $rest = new RestResponse($curl->status(), $user->toArray());
                if($curl->status()){
                    $auth = new auth();
                    $token = $auth->CreateToken($data->username, $data->password, $curl->toObject()['id'])->getToken();
                    $rest->setToken($token)->toJson()->setMessage('OK');
                }else{
                    $rest->toJson()->setMessage($curl->toObject()['message']);
                }
                
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                    $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        
        case 'validate_user':
            
                try {
                    $errors = [];
                    $db= new collection();
                    $email = $db->search(TABLE_PREFIX.'users',array('user_email'=>$data->email),'OR','DEFAULT_WHERE',1); //'user_login'=>$data->username,
                   $user =$db->search(TABLE_PREFIX.'users',array('user_login'=>$data->username),'OR','DEFAULT_WHERE',1); //',
                    //die(var_dump(($row)));
                    if($email['cant_rows'] != 0){
                        $rest = new RestResponse(false, null);
                       array_push($errors,['errorValue'=>'emailValidation','errorMessage'=>'Ya existe una cuenta asociada a este correo electrónico.']);
                    }
                    if($user['cant_rows'] != 0){
                        $rest = new RestResponse(false, null);
                        array_push($errors,['errorValue'=>'userValidation','errorMessage'=>'Ya existe una cuenta asociada a este nombre de usuario.']);
                    }
                    if($user['cant_rows'] == 0 && $email['cant_rows'] == 0){
                        $rest = new RestResponse(true, null);
                        $rest->toJson()->setMessage('Validación exitosa');

                    }else{
                        $rest->toJson()->setMessage('Hay errores en el registro del usuario.');
                        $rest->toJson()->setError($errors);
                    }
                    
                } catch (\Throwable $th) {
                    $rest = new RestResponse(false, null);
                        $rest->toJson()->setMessage($th->getMessage());
                }
                break; 
            
}
}
if(!isset($rest) || !is_object($rest)){
    $rest = new RestResponse(false,null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();