<?php
require('../../cfg.php');
$errors=[];
if (true) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':

            break;
        case 'POST':
            try {
                if (isset($_GET['action']) && $_GET['action'] == 'CheckoutRates') {
                    $request = json_decode(file_get_contents("php://input"), true);
                    $shipping = new Shipping();
                    $shipping->uploadDataCheckOut($request);
                    $data = $shipping->getResponse();
                    $errors = $shipping->errors;                   
                }

                if (!isset($data)) {
                    $data = [];
                }
                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
                if (!empty($errors)) {
                    $rest->setError($errors);
                }
            } catch (\Throwable $th) {

                $rest = new RestResponse(false, $th->getMessage());
                $rest->toJson()->setMessage('fail');
            }
            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
