<?php
require('cfg.php');
header('Cache-Control: max-age=31536000');
//$auth = new auth();
if (true) {
    //if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                switch ($_GET["action"]) {
                    case 'search':
                        $slug = (isset($_GET["slug"])) ? $_GET["slug"] : '';
                        $wl = new Categories();
                        $data = $wl->find($slug);
                        $rest = new RestResponse(true, $data);
                        $rest->toJson()->setMessage('OK');
                        break;
                    case 'searchPrimary':
                        $term = (isset($_GET["term"])) ? $_GET["term"] : '';
                        $wl = new Categories();
                        $data = $wl->search_categories($term);
                        $rest = new RestResponse(true, $data);
                        $rest->toJson()->setMessage('OK');
                        break;
                    default:
                        try {
                            $redis = new Redis();
                            $key = hash('xxh128', $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING']);
                            //Connecting to Redis
                            $redis->connect(REDIS_HOST, 6379);
                            if (!$redis->get($key)) {
                                $wl = new Categories();
                                $wl->getAllData();
                                $data = $wl->getCategories();
                                $redis->set($key, serialize($data));
                                $redis->expire($key, 500);
                            } else {
                                $data =  unserialize($redis->get($key));
                            }
                        } catch (Throwable $t) {
                            $wl = new Categories();
                            $wl->getAllData();
                            $data = $wl->getCategories();
                        }


                        $rest = new RestResponse(true, $data);
                        $rest->toJson()->setMessage('OK');
                        break;
                }
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;

            break;
        case 'POST':

            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
