<?php 
class Logger{


    private $db;
    private $exceptions=[
        '/api/v1/image.php',
        '/v1/image.php',
    ];


    public function __construct(){

        $this->db = new collection;
        return $this;
    }
    function getOS() { 

        $user_agent = $_SERVER['HTTP_USER_AGENT'];
    
        $os_platform =   "Desconocido";
        $os_array =   array(
            '/windows nt 10/i'      =>  'Windows 10',
            '/windows nt 6.3/i'     =>  'Windows 8.1',
            '/windows nt 6.2/i'     =>  'Windows 8',
            '/windows nt 6.1/i'     =>  'Windows 7',
            '/windows nt 6.0/i'     =>  'Windows Vista',
            '/windows nt 5.2/i'     =>  'Windows Server 2003/XP x64',
            '/windows nt 5.1/i'     =>  'Windows XP',
            '/windows xp/i'         =>  'Windows XP',
            '/windows nt 5.0/i'     =>  'Windows 2000',
            '/windows me/i'         =>  'Windows ME',
            '/win98/i'              =>  'Windows 98',
            '/win95/i'              =>  'Windows 95',
            '/win16/i'              =>  'Windows 3.11',
            '/macintosh|mac os x/i' =>  'Mac OS X',
            '/mac_powerpc/i'        =>  'Mac OS 9',
            '/linux/i'              =>  'Linux',
            '/ubuntu/i'             =>  'Ubuntu',
            '/iphone/i'             =>  'iPhone',
            '/ipod/i'               =>  'iPod',
            '/ipad/i'               =>  'iPad',
            '/android/i'            =>  'Android',
            '/blackberry/i'         =>  'BlackBerry',
            '/webos/i'              =>  'Mobile'
        );
    
        foreach ( $os_array as $regex => $value ) { 
            if ( preg_match($regex, $user_agent ) ) {
                $os_platform = $value;
            }
        }   
        return $os_platform;
    }
    
    function getBrowser() {
        $user_agent = $_SERVER['HTTP_USER_AGENT'];
    
        $browser        = "Desconocido";
        $browser_array  = array(
            '/msie/i'       =>  'Internet Explorer',
            '/firefox/i'    =>  'Firefox',
            '/safari/i'     =>  'Safari',
            '/chrome/i'     =>  'Chrome',
            '/edge/i'       =>  'Edge',
            '/opera/i'      =>  'Opera',
            '/netscape/i'   =>  'Netscape',
            '/maxthon/i'    =>  'Maxthon',
            '/konqueror/i'  =>  'Konqueror',
            '/mobile/i'     =>  'Handheld Browser'
        );
    
        foreach ( $browser_array as $regex => $value ) { 
            if ( preg_match( $regex, $user_agent ) ) {
                $browser = $value;
            }
        }
        return $browser;
    }


    public function log($user=0){
        if(in_array($_SERVER['PHP_SELF'],$this->exceptions)){
            return false;
        }
        try {
            $auth = new auth();
            if ($auth->verify($auth->found())->status()) {
                $user=$auth->getUser();
            }
        } catch (\Throwable $th) {
            $user=0;
        }
        $query=sprintf("INSERT INTO `log_api_request` (`ip_address`, `user_agent`, `os`, `query_string`, `referrer`, `user_id`, `method`) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s')",
        $this->db->sanitizeData($_SERVER['REMOTE_ADDR']),
        $this->db->sanitizeData($_SERVER['HTTP_USER_AGENT'].'-'.$this->getBrowser()),
        $this->db->sanitizeData($this->getOS()),
        $this->db->sanitizeData($_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']),
        $this->db->sanitizeData($_SERVER['HTTP_REFERER']),
        $this->db->sanitizeData($user),
        $this->db->sanitizeData($_SERVER['REQUEST_METHOD']),
    );
        $this->db->plainQuery($query,true);
    return $this;
    }

    public function requestLimit($limit=10,$seconds=1)
    {
        $query=sprintf("SELECT
        Count(log_api_request.id) AS request
        FROM
        log_api_request
        WHERE
        log_api_request.ip_address = '%s' AND
        log_api_request.date >= DATE_SUB(NOW(),INTERVAL %d SECOND)
        LIMIT 500",
        $this->db->sanitizeData($_SERVER['REMOTE_ADDR']),
        $seconds
        );
        $response=$this->db->plainQuery($query,false,true);
        if(isset( $response[0]['request']) && $response[0]['request']>=$limit){
            return false;
        }
        return true;
    }
}