<?php

class Package
{

    private $items  = array();
    private $itemsArray  = array();
    private $total_order = 0;
    private $total_weight = 0;
    private $total_cbm = [];
    private $total_items = 0;
    private $total_cft = 0;


    public function __construct(Cart|Colibri_class $cart)
    {
        $c=0;
        if ( isset($cart->getItems()['cart_items'])){
            if (!$items = $cart->getItems()['cart_items']) {
                throw new Exception("Error al acceder a los productos", 2);
            }
        }
        //die(var_dump($cart));
        if ( isset($cart->getItems()['colibri_items'])){
            if (!$items = $cart->getItems()['colibri_items']) {
                //die("HOLA");                                              
                throw new Exception("Error al acceder a los productos", 2);
            }
        }
        if (count($items) <= 0) {
            throw new Exception("No posee elementos para enviar", 2);
        }
        foreach ($items as $item) {
            
            $PackageItem = new PackageItem($item);
            //die(var_dump(isset($item["info"]["isMultiArancel"])));
            
            if ($PackageItem->get_declared()) {
                $this->total_order += $PackageItem->getTotalAmount();
            }
            if(isset($item["info"]["isMultiArancel"])){
                if(($item["info"]["bulkNumber"]) != $c)
                {
                    $this->total_weight += $PackageItem->getTotalWeight();
                    $cbm = $PackageItem->getCBM();
                    $this->total_cft = $PackageItem->getCFT();
                    $this->total_cbm['ground'] =  round($this->total_cbm['ground'] + $cbm['ground'], 4);
                    $this->total_cbm['air'] =  round($this->total_cbm['air'] + $cbm['air'], 4);
                    $this->total_cbm['sea'] =  round($this->total_cbm['sea'] + $cbm['sea'], 4);
                    $this->total_items += $PackageItem->get_quantity();
                    array_push($this->items, $PackageItem);
                    array_push($this->itemsArray, $PackageItem->toMap());
                    $c = $item["info"]["bulkNumber"];
                }
            }
                else{
            $this->total_weight += $PackageItem->getTotalWeight();
            $cbm = $PackageItem->getCBM();
            $this->total_cft = $PackageItem->getCFT();
            $this->total_cbm['ground'] =  round($this->total_cbm['ground'] + $cbm['ground'], 4);
            $this->total_cbm['air'] =  round($this->total_cbm['air'] + $cbm['air'], 4);
            $this->total_cbm['sea'] =  round($this->total_cbm['sea'] + $cbm['sea'], 4);
            $this->total_items += $PackageItem->get_quantity();
            array_push($this->items, $PackageItem);
            array_push($this->itemsArray, $PackageItem->toMap());
                }
            
        }
                //die(var_dump($this->total_weight));
        //die(var_dump($this->itemsArray));
    }

    public function getTotalOrder()
    {
        return round($this->total_order, 2);
    }
    public function getTotalWeight()
    {
        return round($this->total_weight, 2);
    }
    public function getTotalCBM()
    {
        return $this->total_cbm;
    }

    public function getTotalCFT(): float
    {
        return $this->total_cft;
    }

    public function getTotalItems()
    {
        return round($this->total_items, 2);
    }
    public function getItems()
    {
        return $this->items;
    }
    public function getItemsArray()
    {
        return $this->itemsArray;
    }
}
