
<?php
require('cfg.php');
$auth = new auth();
if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'POST':
            try {
                $order_data = json_decode(file_get_contents("php://input"));
                $curl = new CurlRequest(API_USER, API_PASS);
                $curl->request($wp_api_root.'wp-json/wc/v3/orders', 'POST', json_encode($order_data));
                $rest = new RestResponse($curl->status(), $curl->toObject());
                if($curl->status()){
                    $rest->setToken($token)->toJson()->setMessage('OK');
                }else{
                    $rest->toJson()->setMessage($curl->toObject()['message']);
                }
                
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th);
            }
            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
?>

