<?php
require('cfg.php');
//$auth = new auth();
if (true) {
    //if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                if(isset($_GET['searchProdByVendor']) && isset($_GET['vendorId'])){
                    $pd = new Products();
                    $data = $pd->search_products_by_vendor($_GET['searchProdByVendor'],$_GET['vendorId']); 
                }
                if (isset($_GET['search'])) {
                    $pd = new Products();
                    $data = $pd->quickSearch($_GET['search']);
                }

                if (isset($_GET['vendor'])) {
                    $pd = new Products();
                    $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                    $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 24;
                    $data = $pd->searchByVendor($_GET['vendor'], $page, $count);
                }

                if (isset($_GET['slug'])) {
                    $pd = new Products();
                    $data = $pd->getProduct($_GET['slug']);
                }
                if (isset($_GET['random'])) {
                    try {
                        $redis = new Redis();
                        $key = hash('xxh128', $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING']);
                        //Connecting to Redis
                        $redis->connect(REDIS_HOST, 6379);
                        if (!$redis->get($key)) {
                            $pd = new Products();
                            $data = $pd->getRandomProducts($_GET['qty']);
                            $redis->set($key, serialize($data));
                            $redis->expire($key, 500);
                        } else {
                            $data =  unserialize($redis->get($key));
                        }
                    } catch (Throwable $t) {
                        $pd = new Products();
                        $data = $pd->getRandomProducts($_GET['qty']);
                    }
                }
                if (isset($_GET['number'])) {

                    try {
                        $redis = new Redis();
                        $key = hash('xxh128', $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING']);
                        //Connecting to Redis
                        $redis->connect(REDIS_HOST, 6379);
                        if (!$redis->get($key)) {
                            $pd = new Products();
                            $number = (isset($_GET['number']) && $_GET['number'] != '') ? $_GET['number'] : 60;
                            $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                            $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 24;
                            $data = $pd->latest($number, $page, $count);
                            $redis->set($key, serialize($data));
                            $redis->expire($key, 500);
                        } else {
                            $data =  unserialize($redis->get($key));
                        }
                    } catch (Throwable $t) {
                        $pd = new Products();
                        $number = (isset($_GET['number']) && $_GET['number'] != '') ? $_GET['number'] : 60;
                        $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                        $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 24;
                        $data = $pd->latest($number, $page, $count);
                    }
                }

                if (!isset($data)) {
                    $data = [];
                }

                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'POST':
            try {
                if (isset($_GET['search'])) {
                    $pd = new Products();
                    $search = (isset($_GET['search']) && $_GET['search'] != '') ? $_GET['search'] : '';
                    $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                    $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 24;
                    $data = $pd->search($search, $page, $count);
                }
                if (isset($_GET['category'])) {
                    $pd = new Products();
                    $search = (isset($_GET['category']) && $_GET['category'] != '') ? $_GET['category'] : '';
                    $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                    $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 24;
                    $data = $pd->searchByCat($search, $page, $count);
                }

                if (!isset($data)) {
                    $data = [];
                }
                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
