<?php
require('../models/auth.class.php');
require('../models/curl.class.php');
$auth = new auth();
if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            $curl = new CurlRequest($auth->getUserName(),$auth->getUserPass());
            $id=(isset($_GET['id']))?$_GET['id']:$auth->getUser();
            $curl->request('https://stagbm01.globaltechplatform.com/wp-json/wc/v3/customers/' . $id, 'GET');
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'mensaje';
            $response['status'] = true;
            $userData = $curl->toObject();
            $response['body'] = $userData;
            break;
        case 'POST':
            $data = json_decode(file_get_contents("php://input"));
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'mensaje';
            $response['status'] = true;
            $response['body'] = [];
            break;
        case 'PUT':
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'mensaje';
            $response['status'] = true;
            $response['body'] = [];
            break;
        case 'DELETE':
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'mensaje';
            $response['status'] = true;
            $response['body'] = [];
            break;
        default:
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'acceso Restringido';
            $response['status'] = false;
            $response['body'] = null;
            break;
    }
} else {
    $header['status_code_header'] = 'HTTP/1.1 200 OK';
    $response['message'] = 'acceso Restringido';
    $response['status'] = false;
    $response['body'] = null;
}
if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400');
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
    header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');;
}
if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
        header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
        header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
    exit(0);
}
header($header['status_code_header']);
echo json_encode($response);
