<?php
require('cfg.php');


$requestMethod = $_SERVER["REQUEST_METHOD"];
switch ($requestMethod) {
    case 'POST':
        $data = json_decode(file_get_contents("php://input"));
        $user = $data->user;
        $password = $data->pass;
        $curl = new CurlRequest($user, $password);
        $curl->request($wp_api_root.'wp-json/wp/v2/users/me', 'GET');
        $curlResponse = $curl->toObject();
        if ($curl->status()) {
            $auth = new auth();
            $response['token'] = $auth->CreateToken($user, $password, $curlResponse['id'])->getToken();
            $curl2 = new CurlRequest(API_USER, API_PASS);
            $curl2->request($wp_api_root.'wp-json/wc/v3/customers/' . $curlResponse['id'], 'GET');
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'mensaje';
            $response['status'] = true;
            $userData = $curl2->toObject();
            $response['body'] = $userData;
        } else {
            $header['status_code_header'] = 'HTTP/1.1 200 OK';
            $response['message'] = 'Acceso Restringido';
            $response['status'] = false;
            $response['body'] = null;
        }
        break;
    default:
        $header['status_code_header'] = 'HTTP/1.1 404 Not Found';
        $response['message'] = 'Acceso Restringido';
        $response['status'] = false;
        $response['body'] = null;
        break;
}
if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400');
    header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS');
    header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');
}
if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
        header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
        header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
    exit(0);
}
header($header['status_code_header']);
echo json_encode($response);
