<?php

namespace BulkUpload\Validation;

abstract class Rule {

    private $next;

    public function linkRule(Rule $next){

        $this->next = $next;
        return $next; 

    }

    public function validate(mixed $data, array $errors){

        //TODO: Validar null

        if(!$this->next){
            return $errors;
        }

        return $this->next->validate($data, $errors);

    }

}