<?php

class BM_Ship_Class implements Currier{

    private $db;
    private Destination $destination;
    private Cart $cart;
    private Package $package;

    function __construct()
    {
        $this->db = new collection;
    }

    function generateResponseSchema(array $data, bool $include_taxes = false)
    {
        $res = [];
        
        $res['method_title'] = 'Método de envío personalizado';
        $res['description'] = 'Método de envío personalizado';
        $res['provider_image'] = 'https://bmbucket01.s3.ca-central-1.amazonaws.com/uploads/2023/09/02cdc12a-1184-449c-a752-cc3939fe1daf.png';
        $res['message'] = 'El método de envío a la medida permite al usuario solicitar un envío personalizado para pedidos con requerimientos especiales o que ya cuentan con un proveedor logístico de confianza. Una vez recibido el pedido, el personal de logística se pondrá en contacto con el usuario para solicitar instrucciones. El marketplace proporcionará hasta 3 cotizaciones logísticas diferentes. El pago inicial de $1 no es reembolsable en caso de cancelar el pedido.';
        $prod['type'] = 'multi';
        //$prod['productName'] = 'El método de envío a la medida permite al usuario solicitar un envío personalizado para pedidos con requerimientos especiales o que ya cuentan con un proveedor logístico de confianza. Una vez recibido el pedido, el personal de logística se pondrá en contacto con el usuario para solicitar instrucciones. El marketplace proporcionará hasta 3 cotizaciones logísticas diferentes. El pago inicial de $1 no es reembolsable en caso de cancelar el pedido.';
        $prod['totalPrice']['priceCurrency'] = 'USD';
        $prod['totalPrice']['price'] = 5;
        $prod['volumetric']=$this->package->getTotalCBM();
        $prod['deliveryCapabilities']['totalTransitDays'] = 0;
        $prod['details'][]=$this->insertDetail('Servicio cotización de envío','',5);
        //$prod['details'][]=$this->insertDetail('Impuesto de Nacionalización','Se calcularán en destino',0);
        $res['options'][] = $prod;
        return $res;
    }

    public function insertDetail($name='',$text='',$value='')
    {
        $dt['name']=$name;
        $dt['msg']=$text;
        $dt['value']=round($value,2);
        return $dt;
    }

    function errorResponse(){
        return [];
    }

    function checkout_rate(Destination $destitanion, Package $package, bool $include_taxes){
        $this->destination = $destitanion;
        $this->package = $package; 
        return $this->generateResponseSchema([], $include_taxes);
    }

}