<?php
require('../../../cfg.php');
$errors=[];
if (true) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                $data=[];
                $db=new collection();
                $meta=new MetaValues();
                $dt=$db->plainQuery("SELECT
                OvMdW_users.user_email AS correo,
                MAX(CASE WHEN b.meta_key = 'profile_country' THEN b.meta_value ELSE '' END) AS pais,
                EXTRACT(DAY FROM ng_cart_items.modified_at) AS dia,
                EXTRACT(MONTH FROM ng_cart_items.modified_at) AS mes,
                EXTRACT(YEAR FROM ng_cart_items.modified_at) AS anno,
                OvMdW_posts.post_title,
                MAX(CASE WHEN a.meta_key = '_sku' THEN a.meta_value ELSE 0 END) AS sku,
                    (SELECT
            OvMdW_terms.`name`
            FROM
            OvMdW_term_relationships
            INNER JOIN OvMdW_term_taxonomy ON OvMdW_term_taxonomy.term_taxonomy_id = OvMdW_term_relationships.term_taxonomy_id
            INNER JOIN OvMdW_terms ON OvMdW_terms.term_id = OvMdW_term_taxonomy.term_id
            WHERE
            OvMdW_term_relationships.object_id = ng_cart_items.product_id AND
            OvMdW_term_taxonomy.parent = 0 AND
            OvMdW_term_taxonomy.taxonomy = 'product_cat'
            LIMIT 1) AS categoria,
                MAX(CASE WHEN a.meta_key = '_price' THEN a.meta_value ELSE 0 END) AS precio,
                ng_cart_items.quantity AS moq
            FROM
                ng_cart
            INNER JOIN ng_cart_items ON ng_cart_items.cart_id = ng_cart.id_cart
            INNER JOIN OvMdW_users ON CAST(OvMdW_users.ID AS CHAR(60) CHARACTER SET utf8mb4) = ng_cart.id_user
            INNER JOIN OvMdW_posts ON OvMdW_posts.ID = ng_cart_items.product_id
            INNER JOIN OvMdW_postmeta AS a ON a.post_id = OvMdW_posts.ID
            INNER JOIN OvMdW_usermeta AS b ON b.user_id = OvMdW_users.ID
            WHERE
            ng_cart.`status`= 1 AND
            a.meta_key IN ('_price','_sku')
            GROUP BY
                OvMdW_users.ID,
                OvMdW_posts.ID,
                ng_cart_items.product_id,
                OvMdW_users.user_email,
                ng_cart_items.quantity,
                OvMdW_posts.post_title,
                EXTRACT(DAY FROM ng_cart_items.modified_at),
                EXTRACT(MONTH FROM ng_cart_items.modified_at),
                EXTRACT(YEAR FROM ng_cart_items.modified_at);            
                ",false,true);
                for ($i=0; $i < $dt['cant_rows']; $i++) {
                    $country=$db->searchForce('bi_country_table',array('country_tag'=>$dt[$i]['pais']),'AND','DEFAULT_WHERE',1);
                      
                    $dt[$i]['pais'] = $country[0]['country_name'];                
                    array_push($data,$dt[$i]);
                }
                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
                if (!empty($errors)) {
                    $rest->setError($errors);
                }
            } catch (\Throwable $th) {

                $rest = new RestResponse(false, $th->getMessage());
                $rest->toJson()->setMessage('fail');
            }
            break;
        case 'POST':
            
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
