<?php
require('../../../cfg.php');
$errors = [];
if (true) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                $db = new collection();
                $meta = new MetaValues();
                $limit=(isset($_GET['limit']) ? $db->sanitizeData($_GET['limit']):100) ;
                $data = [];
                
                $dt = $db->plainQuery('SELECT
                *
                FROM
                checkout_rate_log
                ORDER BY
                checkout_rate_log.date DESC
                LIMIT '.$limit);
                for ($i = 0; $i < $dt['cant_rows']; $i++) {
                    $package = unserialize($dt[$i]['package']);
                    $destination = unserialize($dt[$i]['destination']);
                    $date = $dt[$i]['date'];
                    $response = unserialize($dt[$i]['response']);
                    $requetsData=[];
                    $requetsData['Pais']=$destination['country'];
                    $requetsData['Bultos']=$package['totalItems'];
                    $requetsData['CBM']=round($package['CBM']['ground'],4);
                    $requetsData['PVol']=round($package['CBM']['air'],4);
                    $requetsData['Weight']=$package['Weight'];
                    $requetsData['Fecha']=$date;
                    $requetsData['Proveedor']=$dt[$i]['provider'];
                    $requetsData['errors']=$package['errors'];
                    $requetsData['options']=[];
                    //echo json_encode($response);
                    if(is_array($response)){
                        foreach ($response as $key => $opt) {
                            
                            $requetsData['options'][]=$opt['totalPrice']['price'];
                        }
                    }
                    if(count($requetsData['options'])>0){
                        foreach ($requetsData['options'] as $key => $option) {
                            array_push(
                                $data,
                                array(
                                    "Pais" => $requetsData['Pais'],
                                    "Proveedor" => $requetsData['Proveedor'],
                                    "Bultos" => $requetsData['Bultos'],
                                    "CBM" => round($requetsData['CBM'],4),
                                    "PVol" => round($requetsData['PVol'],4),
                                    "Weight" => round($requetsData['Weight'],4),
                                    "Fecha" => $requetsData['Fecha'],
                                    "Tarifa" => round($option,2),
                                    "Errores" => $requetsData['errors'],
                                )
                            );
                        }
                    }else{
                        array_push(
                            $data,
                            array(
                                "Pais" => $requetsData['Pais'],
                                "Proveedor" => $requetsData['Proveedor'],
                                "Bultos" => $requetsData['Bultos'],
                                "CBM" => $requetsData['CBM'],
                                "PVol" => $requetsData['PVol'],
                                "Weight" => $requetsData['Weight'],
                                "Fecha" => $requetsData['Fecha'],
                                "Tarifa" => 0,
                                "Errores" => $requetsData['errors'],
                            )
                        );
                    }
                    
                    unset($requetsData);
                }
                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
                if (!empty($errors)) {
                    $rest->setError($errors);
                }
            } catch (\Throwable $th) {

                $rest = new RestResponse(false, $th->getMessage());
                $rest->toJson()->setMessage('fail');
            }
            break;
        case 'POST':

        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
