<?php
require('../../cfg.php');
// this data will be returned encrypted changing all toJson()methods to encrypt() method in RestResponse object
$auth = new auth();
if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                if (isset($_GET['action']) && $_GET['action'] =='get') {
                }

                

                if (!isset($data)) {
                    $data = [];
                }

                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'POST':
            try {
                if (isset($_GET['action']) && $_GET['action'] =='options') {
                    $request = json_decode(file_get_contents("php://input"), true);
                   /**
                    * encryption method to red encrypted request
                    * $request = json_decode(secureToke::decrypt(file_get_contents("php://input")), true);
                    */                    
                    $payment = new Payment($auth->getUser());
                    $payment->loadData($request);
                    $data=$payment->getResponse();
                }
                if (isset($_GET['action']) && $_GET['action'] =='pay') {
                    $request = json_decode(file_get_contents("php://input"), true);
                   /**
                    * encryption method to red encrypted request
                    * $request = json_decode(secureToke::decrypt(file_get_contents("php://input")), true);
                    */                    
                    $payment = new Payment($auth->getUser());
                    $payment->setProvider($request['payment_method']);
                    $payment->class->pay($request['option_id'],$request['cvv']??0, $request['totals'], new Destination($request['shipping']), new Destination($request['billing']));
                    $data=$payment->class->getResponse();
                }
                if (isset($_GET['action']) && $_GET['action'] =='unique_pay') {
                    $request = json_decode(file_get_contents("php://input"), true);
                   /**
                    * encryption method to red encrypted request
                    * $request = json_decode(secureToke::decrypt(file_get_contents("php://input")), true);
                    */                    
                    $payment = new Payment($auth->getUser());
                    $payment->setProvider($request['payment_method']);
                    $payment->class->uniquePay($request['data'],0, $request['totals'], new Destination($request['shipping']), new Destination($request['billing']));
                    $data=$payment->class->getResponse();
                }

                

                if (!isset($data)) {
                    $data = [];
                }

                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
