<?php
require('../../cfg.php');

if (true) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                if (isset($_GET['action']) && $_GET['action'] == 'all') {
                    if (isset($_GET['postname'])) {
                        $posts = new Post();
                        $data = $posts->getPost($_GET['postname']);
                    } else {
                        $posts = new Post($_GET['offset'], $_GET['limit']);
                        $data = $posts->getPosts();
                    }
                }


                if (!isset($data)) {
                    $data = [];
                }

                $rest = new RestResponse(true, $data);
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'POST':
            $except_data = json_decode(file_get_contents("php://input"), true);
            try {
                $posts = new Post($_GET['offset'], $_GET['limit']);
                $data = $posts->getPosts($except_data['skip']);
                $rest = new RestResponse(true, $data);
                //die(print_r($data));
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
