<?php
require('../../cfg.php');
$auth = new auth();
if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    switch ($requestMethod) {
        case 'GET':
            try {
                switch ($_GET["action"]) {
                    case 'list':
                        $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                        $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 10;
                        $tickets = new TicketSupport($auth->getUser());
                        $data = $tickets->list($page, $count);
                        $rest = new RestResponse(true, $data);
                        $rest->toJson()->setMessage('OK');
                        break;
                    default:
                        $page = (isset($_GET['page']) && $_GET['page'] != '') ? $_GET['page'] : 1;
                        $count = (isset($_GET['count']) && $_GET['count'] != '') ? $_GET['count'] : 10;
                        $tickets = new TicketSupport($auth->getUser());
                        $data = $tickets->list($page, $count);
                        $rest = new RestResponse(true, $data);
                        $rest->toJson()->setMessage('OK');
                        break;
                }
            } catch (\Throwable $th) {
                $rest = new RestResponse(false, null);
                $rest->toJson()->setMessage($th->getMessage());
            }
            break;

            break;
        case 'POST':

            break;
        case 'PUT':

            break;
        case 'DELETE':

            break;
        default:


            break;
    }
}
if (!isset($rest) || !is_object($rest)) {
    $rest = new RestResponse(false, null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();
