<?php
require('cfg.php');
$auth = new auth();
if ($auth->verify($auth->found())->status()) {
    $requestMethod = $_SERVER["REQUEST_METHOD"];
    $action = $_GET['action'];
    switch ($requestMethod) {
        case 'GET':
            try {
                $wl=new Wishlist($auth->getUser());
                $rest = new RestResponse(true,$wl->getAllProducts());
                $rest->toJson()->setMessage('OK');
            } catch (\Throwable $th) {
                die($th);
            }
            break;
        case 'POST':

            switch ($action) {
                case 'add':
                    try {
                        //die(var_dump($_GET));
                        $wl=new Wishlist($auth->getUser());
                        if(isset($_GET['product_id']) && !is_nan($_GET['product_id'])){
                            $wl->addToWishList($_GET['product_id']);
                        }
                        $rest = new RestResponse(true,$wl->getAllProducts());
                        $rest->toJson()->setMessage('OK');
                    } catch (\Throwable $th) {
                        die($th);
                    }
                    break;
                
                case 'delete':
                    try {
                        $wl=new Wishlist($auth->getUser());
                        if(isset($_GET['product_id']) && !is_nan($_GET['product_id'])){
                            $wl->removeToWishList($_GET['product_id']);
                        }
                        $rest = new RestResponse(true,$wl->getAllProducts());
                        $rest->toJson()->setMessage('OK');
                    } catch (\Throwable $th) {
                        die($th);
                    }
                    break;
            }

            
            
            break;
        case 'PUT':
            
            
            break;
        case 'DELETE':
            
            
            break;
        default:
            
        
            break;
    }
}
if(!isset($rest) || !is_object($rest)){
    $rest = new RestResponse(false,null);
    $rest->toJson()->setMessage('Acceso Restringido');
}
$rest->execute();

